-- 
-- Posterity 0.6dev-r132 - Mail filtering support
--
CREATE TABLE filter (
        enabled BOOLEAN NOT NULL, 
        "to" TEXT, 
        from_ TEXT, 
        subject TEXT, 
        contains TEXT, 
        archive BOOLEAN NOT NULL, 
        delete_ BOOLEAN NOT NULL, 
        forward_to TEXT, 
        id INTEGER NOT NULL, 
        account_id INTEGER NOT NULL, 
        tag_id INTEGER, 
        PRIMARY KEY (id), 
         CONSTRAINT filter_account_id_fk FOREIGN KEY(account_id) REFERENCES account (id), 
         CONSTRAINT filter_tag_id_fk FOREIGN KEY(tag_id) REFERENCES tag (id)
);
CREATE INDEX ix_filter_account_id ON filter (account_id);
CREATE INDEX ix_filter_tag_id ON filter (tag_id);
