# This is a python package

import logging

from paste.registry import StackedObjectProxy

app = StackedObjectProxy()
log = StackedObjectProxy(logging.getLogger(''))
config = StackedObjectProxy()
instance = StackedObjectProxy()
session = StackedObjectProxy()
request = StackedObjectProxy()
response = StackedObjectProxy()

try:
    __version__ = __import__('pkg_resources').get_distribution('Posterity').version
except ImportError:
    pass
